Bug 99852 - [DEBUGGER] Fast debugger does not stop at breakpoint
[DEBUGGER] Fast debugger does not stop at breakpoint
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
PC Windows XP
: P1 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
http://www.datanoise.com/articles/200...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-03 16:10 UTC by Tomas Danek
Modified: 2007-10-26 14:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
log file (42.88 KB, text/plain)
2007-04-03 16:13 UTC, Tomas Danek
Details
log2 (26.07 KB, text/plain)
2007-04-03 16:22 UTC, Tomas Danek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2007-04-03 16:10:45 UTC
NetBeans IDE Dev (Build 070327)
1.6.0-rc; Java HotSpot(TM) Client VM 1.6.0-rc-b99
Windows XP version 5.1 running on x86
en_US (nb); Cp1252
+ruby debugger 0.77
--------------------------------
- created ruby app, with few "puts" outputs
- set up fast debugger
- put some breakpoints 
- invoked c-s-f5, debugger did not stop on any breakpoint + exception was thrown
Attaching log.

Verbose output:
Starting command read loop
Processing: b C:\Documents and Settings\Tomas Musil\My
Documents\NetBeansProjects\RubyApplication10\lib\main.rb:9

<breakpointAdded no="1" location="C:/Documents and Settings/Tomas Musil/My
Documents/NetBeansProjects/RubyApplication10/lib/main.rb:9"/>

Processing: b C:\Documents and Settings\Tomas Musil\My
Documents\NetBeansProjects\RubyApplication10\lib\main.rb:13

<breakpointAdded no="2" location="C:/Documents and Settings/Tomas Musil/My
Documents/NetBeansProjects/RubyApplication10/lib/main.rb:13"/>

Processing: start

Starting: running program script
Comment 1 Tomas Danek 2007-04-03 16:13:57 UTC
Created attachment 40345 [details]
log file
Comment 2 Tomas Danek 2007-04-03 16:22:44 UTC
Created attachment 40347 [details]
log2
Comment 3 Martin Krauskopf 2007-04-03 17:02:15 UTC
Might be bug in the backend. Thanks for the catch. Started...
Comment 4 Martin Krauskopf 2007-04-03 19:48:03 UTC
Uff. After a long time you forced me to work on Windows machine - actually on
yours when you left it ;)
Anyway after some debugging I've ended up with plain rdebug and have asked Kent.

http://www.datanoise.com/articles/2007/4/3/ruby-debug-version-0-9-1-has-been-released

It is bug in the rdebug itself and should be fixed already in its trunk. I'll
leave this open until next official version of ruby-debug (and thus
ruby-debug-ide) is released.
Comment 5 Martin Krauskopf 2007-04-09 16:08:42 UTC
It is fixed in the ruby-debug-base 0.9.2. Wiki updated:

- ruby-debug-base 0.9.2 and ruby-debug-ide 0.1.2 are needed

Please let me know whether it works. Thanks.
Comment 6 Jiri Kovalsky 2007-07-03 14:03:17 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 7 Jiri Kovalsky 2007-07-03 14:45:05 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.
Comment 8 Tomas Danek 2007-09-14 14:53:32 UTC
verified on win xp with beta1
Comment 9 Tomas Danek 2007-10-26 14:49:03 UTC
v


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo